Bug 1251356 - [RFE] port group page to Backbone
[RFE] port group page to Backbone
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 22.0
: ---
Assigned To: matt jia
tools-bugs
: FutureFeature, NeedsTestCase, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 01:36 EDT by Dan Callaghan
Modified: 2016-01-14 00:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 00:34:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-08-07 01:36:57 EDT
Port the group page to Backbone with a Flask JSON API backend. Similar approach to system pool page.

This is a pre-requisite for more substantial UI changes needed on the group page for bug 1220610.

The UI will remain substantially the same, but Owners will probably need to be split out into its own list (separate from Members) to avoid the problem currently with the two button columns in a TG grid.
Comment 1 matt jia 2015-09-02 01:31:23 EDT
On Gerrit:

   http://gerrit.beaker-project.org/#/c/4382/
Comment 3 Dan Callaghan 2015-10-01 22:31:46 EDT
Matt has a patch up to fix the error handling for the Add forms on the group page:
http://gerrit.beaker-project.org/4421

And I have posted patches for a few minor issues I noticed while playing with the new page:
http://gerrit.beaker-project.org/4422
http://gerrit.beaker-project.org/4423
http://gerrit.beaker-project.org/4424
Comment 4 wangdong 2015-10-20 02:32:14 EDT
Verify passed on https://beaker-devel.app.eng.bos.redhat.com/


Steps:

1. Modify case according to new group page.

2. Pass acceptance test for beaker 21.1

Change status to verified.
Comment 5 Dan Callaghan 2016-01-14 00:34:12 EST
Beaker 22.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.